
Core - Task # 53462

Status: Resolved Priority: Should have
Author: Stefan Neufeind Category: Caching
Created: 2013-11-08 Assigned To:
Updated: 2013-11-11 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Sprint Focus:
Subject: Add cache to getPagesTSconfig()
Description

During review of #53368 the idea came up if we could add a cache also to BackendUtility::getPagesTSconfig() to save parsing etc. for
multiple lookups in various places inside TYPO3.

Related issues:
related to Core - Bug # 53368: Use getPagesTSconfig($tscPID) only once per ID Resolved 2013-11-06

Associated revisions
Revision e305cbe5 - 2013-11-11 18:06 - Stefan Neufeind

[TASK] Add cache to getPagesTSconfig()

Add a cache also to BackendUtility::getPagesTSconfig() to save parsing
etc. for multiple lookups in various places inside TYPO3.

The core only uses the first parameter, therefore the cache is only
based on the page ID and ignored if other parameters are given.

Change-Id: I63d49c398ed16daa5c2d8ae707d67f934a24a312
Resolves: #53462
Releases: 6.2
Reviewed-on: https://review.typo3.org/25223
Reviewed-by: Philipp Gampe
Tested-by: Philipp Gampe
Reviewed-by: Wouter Wolters
Reviewed-by: Stefan Neufeind
Tested-by: Stefan Neufeind

History
#1 - 2013-11-08 17:11 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/25223

#2 - 2013-11-09 10:06 - Gerrit Code Review

2015-08-04 1/2

https://review.typo3.org/25223
https://review.typo3.org/25223


Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/25223

#3 - 2013-11-09 21:03 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/25223

#4 - 2013-11-11 18:30 - Stefan Neufeind
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:e305cbe578844e23e26d09f652548c7ed8af288d.

2015-08-04 2/2

https://review.typo3.org/25223
https://review.typo3.org/25223

